import request from '@/config/axios'

// 查询机构
export const searchStation = async (params) => {
  return await request.get({
    url: '/admin-api/applet/wrj/school/page',
    params
  })
}

// 审核机构
export const auditStation = async (data) => {
  return await request.post({
    url: '/admin-api/applet/wrj/school/check',
    data
  })
}

// 机构详情
export const stationDetail = async (id) => {
  return await request.get({
    url: `/admin-api/applet/wrj/school/get/${id}`
  })
}

// 修改机构
export const updateStation = async (data) => {
  return await request.post({
    url: 'admin-api/applet/wrj/school/check',
    data
  })
}

// 查询教员
export const searchTeacher = async (params) => {
  return await request.get({
    url: '/admin-api/applet/wrj/teacher/page',
    params
  })
}

// 审核教员
export const auditTeacher = async (data) => {
  return await request.post({
    url: '/admin-api/applet/wrj/teacher/check',
    data
  })
}
// 修改
export const updateTeacher = async (data) => {
  return await request.post({
    url: '/admin-api/applet/wrj/teacher/update',
    data
  })
}

export const getCarTypeList = async () => {
  return await request.get({
    url: 'admin-api/applet/wrj/schoolDriverType/list'
  })
}
